c
      subroutine spacedep(h)
c ----------------------------------------------------------------
c          sets space dependent parameters (at present only H)
c
c Calling this initially from start one can set the initial value
c of IP3. Calling it in func one can set the distribution of H for
c all time.
c ----------------------------------------------------------------

      include 'params.inc'

      integer*4 i,icent,j,k,l,m,n
      real*8 x(nx),y(ny),z(nz),h(nx,ny,nz)
c     
c     Computaion of the mesh points.
c     
         do i = 1,nx
            x(i)= hx*dfloat(i-1) 
         end do

         do j = 1,ny
            y(j)= hy*dfloat(j-1) 
         end do

         do k = 1,nz
            z(k)= hz*dfloat(k-1) 
         enddo
c     
c ------------------------------------------------
c       initialize the hormone distribution
c ------------------------------------------------ 
c
      do n = 1,nz
	do m = 1,ny
	   do l=1,nx
              if((x(l)-0.5)**2  + (z(n)-0.5)**2 
     .             .gt. .0051)then
                 h(l,m,n) = .5d0
              else
                 h(l,m,n) = .5d0
              endif
           enddo
        enddo
      enddo         

c       write(6,*) h((nx+1)/2,(ny+1)/2,(nz+1)/2) 
c      write(19,*) (((sngl(h(l,m,n)),l=1,nx),m=1,ny),n=1,nz)

      return
      end


