
        subroutine trid_err(diaga1,diagb1,diagc1,sol,r_rhs, error)
c ----------------------------------------------------------
c 
c   this routine compute A*sol-r_rhs where 
c   A is a tridiagonal matrix nx*nx 
c   diaga sub   diagonal  (a(1) outside matrix) 
c   diagb main  diagonal 
c   diagc super diagonal  (c(meqn) outside matrix ) 
c ----------------------------------------------------------
c
       include 'params.inc'

       integer i,j
       double precision diaga1(meqn),diagb1(meqn),diagc1(meqn)   ! pivoting
       double precision sol(meqn),r_rhs(meqn)
       double precision sum_trid,s_t,error


          do j=1,nvar
           i=1
           sum_trid=r_rhs(i+(j-1)*nx)-diagb1(i+(j-1)*nx)*sol(i+(j-1)*nx)
     .            -diagc1(i+(j-1)*nx)*sol(i+1+(j-1)*nx)
c          print*, i,sum_trid

          do i=2,nx-1
           sum_trid=sum_trid+r_rhs(i+(j-1)*nx)
     .     -diaga1(i+(j-1)*nx)*sol(i-1+(j-1)*nx)
     .     -diagb1(i+(j-1)*nx)*sol(i+(j-1)*nx)
     .     -diagc1(i+(j-1)*nx)*sol(i+1+(j-1)*nx)
c          print*, i,sum_trid
          enddo

          i=nx
          sum_trid=sum_trid+r_rhs(i+(j-1)*nx)
     .    -diaga1(i+(j-1)*nx)*sol(i-1+(j-1)*nx)
     .    -diagb1(i+(j-1)*nx)*sol(i+(j-1)*nx)

c          print*, 'In trid_err:',i,sum_trid
c          print*, r_rhs(i+(j-1)*nx),
c    .     diaga1(i+(j-1)*nx)*sol(i-1+(j-1)*nx),
c    .     diagb1(i+(j-1)*nx)*sol(i+(j-1)*nx)

          enddo
          error=sum_trid/meqn

          
  
          return 
          end



