# /u/sy/beebe/src/benchmarks/fogelson/extract.awk, Tue Jan 18 15:00:04 1994
# Edit by Nelson H. F. Beebe <beebe@plot79.math.utah.edu>
# ========================================================================
# Recompute relative placements of a subset of the Fogelson benchmark
# collection
# Usage:
#	grep some-pattern RESULTS.summary.2 | nawk -f extract.awk >RESULTS.subset
# [18-Jan-1994]
# ========================================================================
BEGIN {
    FS = "\t"
    print "======================================================================================================="
    print "Benchmark      	Machine                	Optimization                           	  Seconds	  Ratio"
    print "======================================================================================================="
}
{
    if ((mintime == 0) || ($1 != PROGRAM))
	mintime = $4
    printf("%-15s\t%-23s\t%-39s\t%9.2f\t%7.4f\n",
	   $1, $2, $3, $4, mintime/(($4 > 0) ? $4 : 1))
    PROGRAM = $1
}
END   {
    print "======================================================================================================="
}
