c
      subroutine adiout(t,v,tscale)
c
c ---------------------------------------------------------------------
c     this subroutine outputs the entire solution
c

      include 'params.inc'

c     integer i,j,l,ind,k,jj,l1,l2,l3,l4,l5
      integer k,jj,l1
c     integer index,iunit
      logical iflag

      double precision t,v(4*neqn),tscale
c     double precision aux1(meqn*meqn)

      data iflag/.true./
c
      if(iflag)then
         write(51,*) nx,ny,nz
         write(52,*) nx,ny,nz
         write(53,*) nx,ny,nz
      endif
 
      jj= 4

CC      do k=1,nz

CC      write(iunit,*) 'time,lev',t,k
      
CC      do j=1,ny
CC      do i=1,nx
CC        l=i+(j-1)*meqnx+(k-1)*meqnx*ny+(jj-1)*nx
CC        aux1(i+(j-1)*nx)= v(l)    
CC      enddo
CC      enddo

CC        write(iunit,*)  (sngl(aux1(i)),i=1,nx*ny)
CC      enddo

CC        l1=1       +(jj-1)*nx+((ny+1)/2-1)*meqnx  +(k-1)*meqnx*ny
CC        l2=(nx+1)/4+(jj-1)*nx+((ny+1)/2-1)*meqnx  +(k-1)*meqnx*ny
CC        l3=(nx+1)/2+(jj-1)*nx+((ny+1)/2-1)*meqnx  +(k-1)*meqnx*ny
CC        l4=(nx+1)/2+(jj-1)*nx+(3*(ny+1)/4-1)*meqnx+(k-1)*meqnx*ny
CC        l5=(nx+1)/2+(jj-1)*nx+            ny*meqnx+(k-1)*meqnx*ny


CC        l1=(nx+1)/2  +(jj-1)*nx +((ny+1)/2-1)*meqnx +(k-1)*meqnx*ny
CC        l2=(nx+1)/4  +(jj-1)*nx +((ny+1)/2-1)*meqnx +(k-1)*meqnx*ny
CC        l3=(nx+1)/2  +(jj-1)*nx +((ny+1)/2-1)*meqnx +(k-1)*meqnx*ny
CC        l4=3*(nx+1)/4+(jj-1)*nx +((ny+1)/2-1)*meqnx +(k-1)*meqnx*ny
CC        l5=  nx      +(jj-1)*nx +          ny*meqnx +(k-1)*meqnx*ny

        l1= (nx+1)/2 +(jj-1)*nx +((ny+1)/2-1)*meqnx 
     . +((nz+1/2)-1)*meqnx*ny

        write(51,*) t
        write(51,100) (v(l1+k), k=(nx+1)/2,nx)

         write(52,*) t
         write(52,100) (v(l1+(k-1)*meqnx), k=(ny+1)/2,ny)

         write(53,*) t
         write(53,100) (v(l1+(k-1)*meqnx*ny), k=1,(nz+1)/2)

 100  format(1x,5d10.3)
 200  format(3x,'Written at t=',f7.2,6x,'Calcium at center =',1pd12.5)
      return
      end

c ----------------------------------------------------------------------
      subroutine drop(t,v,idr,filename3)
      save
c
c     write a drop file for restart 

      include 'params.inc'
c
      integer idr

      double precision t
      double precision v(2*neqn)

      character*15 filename3

c
c Unlike the files fort.soln and fort.stats, this file
c is opened and closed at each "drop".  This is to keep
c only the latest solution (not accumulate them) in the 
c disk file.
c

      open(unit=idr,file=filename3,status='unknown')

      write(idr,'(1pd16.8)')t
      write(idr,100)par
      write(idr,100)v

      close(idr)

 100  format(1x,4d16.8)
      return
      end

c ----------------------------------------------------------------------
