
      integer*4 jn                 ! output ever jnth step
      integer*4 nxmax              ! max number of mesh points
      integer*4 nvar               ! number of variables
      integer*4 nsteps             ! number of time steps
      integer*4 nx,ny              ! number of mesh points

      real*8    hx                 ! length of mesh in x direction
      real*8    hy                 ! length of mesh in y direction
      real*8    ht                 ! length of time step
      real*8    htx                ! ht/hx**2
      real*8    hty                ! ht/hy**2
      real*8    dmcheps            ! machine epsilon
      real*8    d1,d2              ! diffusion coefficients
      real*8    size               ! domain size
      real*8    tstart             ! time of first output

      parameter (nsteps = 1000)      
      parameter (nx = 150,ny=nx)          
      parameter(nxmax=nx)
      parameter(nvar=5)
      parameter(jn = 100)   
      parameter(size = 1)   
      parameter(tstart = 20)   

      parameter (hx = 1.0d0/(nx-1))
      parameter (hy = 1.0d0/(ny-1))
      parameter (ht = 0.01d0)
      parameter (htx = ht/(hx*hx))
      parameter (hty = ht/(hy*hy))
      parameter (dmcheps = 1.0d-15)
      parameter(d1=5.d-04, d2=5.d-04)

