c  
      subroutine setup(nparam)
c
c --------------------------------------------------------------------
c
      include 'params.h'

      integer i,jout,nparam,nmax

      double precision par
      double precision tmax,mag,tftot,tfup

      character*24 dt
      
      common /param/par(100)
c     
c Read the parameters from the file data.4
c
      open (unit = 20, file = 'data.4', 
     . status = 'unknown')

      do i = 1,nparam
      read (20, *) par(i)
c      write(6,*) par(i)
      enddo
      close (unit = 20)
c
c Record the parameters in the file fort.14 
c     
      call fdate(dt)
c     
      write(14,46000) dt
c    
      write(14,26000)
      write(14,30000) (par(i),i = 1,6)
      write(14,*) 
c
      write(14,26002)
      write(14,30000)( par(i), i=7,12)
      write(14,*) 
c
      write(14,26003)
      write(14,30001) par(13), par(14),par(15),par(16)
c     
c     tmax is final time, ht is time step
      tmax = dfloat(nsteps)*ht

     
      write(14,100) size,nx,ht,jn,tmax,tstart,d1,d2
c     
c     output step
c     
c      jn=dnint((tmax-tstart)/dble(jout)/ht) 
c      jout=dnint((tmax-tstart)/ht/jn)+1
c
 100  format(1x,//,' Discretization information ',/,1x,
     $     ' Length of interval            ',1pd11.5,/,1x,
     $     ' Number of subdivisions        ',i4,/,1x,
     $     ' Time step                     ',1pd11.5,/,1x,
     $     ' Frequency of time output      ',i4,/,1x,
     $     ' Final time                    ',1pd11.5,/,1x,
     $     ' Time of first output point    ',1pd11.5,/,1x,
     $     ' Diffusion constants d1,d2     ',1p2d14.4,//,1x)

26000 format(/,6x,'  l1',9x,' l2',9x,' l3',8x,'l_1',8x,' l_2',8x,' l_3')
26002 format(6x,'  p1',9x,' p2',9x,' p3',8x,'ch1',6x,' CaER0',5x,
     . ' vratio' )
26003 format(8x,' g1',6x,'  H',9x,'  m1',8x,'  m2')
30000 format(1x,6(1pe12.3))
30001 format(1x,4(1pe12.3))
30002 format(1x,2(1pe12.3))
30003 format(1x,3(1pe12.3))
30005 format(1x,5(1pe12.3))
34000 format(/)
46000 format(10x,'Written on ',a24,'  from tang2d.f ',/)

      return
      end
c
