c
        subroutine trid_err2(diaga1,diagb1,diagc1,sol,r_rhs, error,n)
c ----------------------------------------------------------
c 
c   this routine compute A*sol-r_rhs where 
c   A is a tridiagonal matrix nx*nx 
c   diaga sub   diagonal  (a(1) outside matrix) 
c   diagb main  diagonal 
c   diagc super diagonal  (c(meqn) outside matrix ) 
c ----------------------------------------------------------
c
       integer i,j,n
       double precision diaga1(n),diagb1(n),diagc1(n)   ! pivoting
       double precision sol(n),r_rhs(n)
       double precision err(10000)
       double precision error


            if(n.gt.10000) stop 'trid_err: n.gt.10000'
           i=1
           err(i)=r_rhs(i)-diagb1(i)*sol(i)-diagc1(i)*sol(i+1)

          do i=2,n-1
           err(i)=r_rhs(i)
     .     -diaga1(i)*sol(i-1)
     .     -diagb1(i)*sol(i)
     .     -diagc1(i)*sol(i+1)
          enddo

          i=n
          err(i)=r_rhs(i)-diaga1(i)*sol(i-1)
     .    -diagb1(i)*sol(i)

           error=0.0
           do i=1,n
c            print*, 'err_sys',err(i)
             error=max(error,abs(err(i)))
           enddo 
  
  
          return 
          end



