# /u/sy/beebe/src/benchmarks/fogelson/summary3.awk, Tue Feb  8 07:57:00 1994
# Edit by Nelson H. F. Beebe <beebe@plot79.math.utah.edu>
# ========================================================================
# Extract a one-line summary of each benchmark from the output of
# results.awk, but display ONLY the highest performance result for each
# machine.
#
# Usage:
#	nawk -f results.awk RESULTS | nawk -f summary.awk | nawk -f summary2.awk
#
# [08-Feb-1994]
# ========================================================================

$NF ~ /[01][.][0-9][0-9][0-9][0-9]/ \
{
    benchmark = substr($0,1,15)
    machine =   substr($0,16,25)
    value = benchmark SUBSEP machine
    if (value in results)
	next			# ignore lower-performance results
    results[value] = $0
    print $0
    next
}

{
    print $0
}
